Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 227895 - x11-apps/xf86dga-1.0.2 fails to build
Summary: x11-apps/xf86dga-1.0.2 fails to build
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks:
 
Reported: 2008-06-17 17:23 UTC by Evil Compile Person
Modified: 2009-09-24 07:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Add missing dependencies (xf86dga-1.0.2.ebuild.patch,437 bytes, patch)
2009-02-23 14:31 UTC, Andrew Church
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evil Compile Person 2008-06-17 17:23:24 UTC
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XF86DGA... configure: error: Package requirements (x11 xxf86dga xt xaw7 xmu) were not met:

No package 'xaw7' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XF86DGA_CFLAGS
and XF86DGA_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-apps/xf86dga-1.0.2/work/xf86dga-1.0.2/config.log
 *
 * ERROR: x11-apps/xf86dga-1.0.2 failed.

Portage 2.1.4.4 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.20-vs2.2.0-gentoo i686)
=================================================================
System uname: 2.6.20-vs2.2.0-gentoo i686 Intel(R) Pentium(R) D CPU 3.20GHz
Timestamp of tree: Fri, 13 Jun 2008 17:45:01 +0000
app-shells/bash:     3.2_p33
dev-lang/python:     2.4.4-r13
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.61-r1
sys-devel/automake:  1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.switch.ch/mirror/gentoo/"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X acl berkdb cli cracklib crypt cups dri fortran gcj gdbm gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly objc openmp pam pcre perl pppd python readline reflection session spl ssl tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i740 i810 imstt mach64 mga neomagic nsc nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Robert R. Russell 2008-11-12 05:43:12 UTC
This compilation failure is fixed by emerging libXaw. I have tested version 1.0.3 and 1.0.4 on amd64 and 1.0.4 on x86.
Comment 2 Andrew Church 2009-02-23 14:31:00 UTC
Created attachment 182894 [details, diff]
Add missing dependencies

Depending on installed packages, the following can also pop up:

No package 'xt' found
No package 'xmu' found

(as just occurred to me setting up a fresh AMD64 system).  This patch to the ebuild should fix the problem.
Comment 3 Rémi Cardona gentoo-dev 2009-09-24 07:40:53 UTC
The code was fixed in git to stop using lib{Xaw,Xt,Xmu} headers, so I've backported this patch instead, without a revbump.

Thanks